The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / sysklogd / S01logging
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/sysklogd/S01logging b/cirros-testvm/src-cirros/buildroot-2015.05/package/sysklogd/S01logging
new file mode 100644 (file)
index 0000000..a0b683f
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+case "$1" in
+       start)
+               echo -n "Starting logging: "
+               /sbin/syslogd -m 0
+               /sbin/klogd
+               echo "OK"
+               ;;
+       stop)
+               echo -n "Stopping logging: "
+               [ -f /var/run/klogd.pid ] && kill `cat /var/run/klogd.pid`
+               [ -f /var/run/syslogd.pid ] && kill `cat /var/run/syslogd.pid`
+               echo "OK"
+               ;;
+       restart|reload)
+               $0 stop
+               $0 start
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac
+
+exit $?